import setuptools

setuptools.setup(
    name="atgateway",
    version="2.0.0",
    author="Atmark Techno, Inc.",
    author_email="naomi.todori@atmark-techno.com",
    description="AtmarkTechno Gateway Container App",
    py_modules=['atgateway'],
    packages=setuptools.find_packages(),
    data_files=[
        ('/config', ['config/sensing_mgr.conf', 'config/cloud_agent.conf'])
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.10",
    ],
    python_requires='>=3.10',
    install_requires=[
        'libevdev',
        'wheel',
        'requests',
        'awsiotsdk',
        'azure-iot-device',
        'pymodbus==2.5.3',
        'gpiod',
    ],
    scripts=['bin/gw-app.sh'],
)
